# GimpUi.ColorScale

    from gi.repository import GimpUi

    color_scale = GimpUi.ColorScale(channel=value)

Fancy colored sliders.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Range
        - Gtk.Scale
          - GimpUi.ColorScale

## Methods

- GimpUi.ColorScale.set_channel
- GimpUi.ColorScale.set_color
- GimpUi.ColorScale.set_color_config
- GimpUi.ColorScale.set_format

## Properties

- channel